"Device not configured" When Installing Packages


#1

Any packages I attempt to install fail with the following error. I am behind a proxy, but have configured both http_proxy and https_proxy settings. I also have turned off strict_ssl. Any ideas?

installing “api-blueprint-preview@0.2.2” failed.Hide output…

> runas@1.1.0 install /private/var/folders/d8/s5n8z7813j93ylzfgmr7zwq1n34pn3/T/apm-install-dir-115028-22146-1xqjhw8/node_modules/api-blueprint-preview/node_modules/pathwatcher/node_modules/runas
> node-gyp rebuild

  CXX(target) Release/obj.target/runas/src/main.o
  CXX(target) Release/obj.target/runas/src/runas_darwin.o
  CXX(target) Release/obj.target/runas/src/fork.o
  SOLINK_MODULE(target) Release/runas.node
  SOLINK_MODULE(target) Release/runas.node: Finished
DSYMUTIL(runas)

npm ERR! git clone https://github.com/Benvie/harmony-collections.git Cloning into bare repository '/Users/.../.atom/.node-gyp/.npm/_git-remotes/https-github-com-Benvie-harmony-collections-git-df214100'...
npm ERR! git clone https://github.com/Benvie/harmony-collections.git fatal: could not read Username for 'https://github.com': Device not configured
npm ERR! Darwin 13.4.0
npm ERR! argv "/Applications/Atom.app/Contents/Resources/app/apm/bin/node" "/Applications/Atom.app/Contents/Resources/app/apm/node_modules/npm/bin/npm-cli.js" "--globalconfig" "/Applications/Atom.app/Contents/Resources/app/apm/.apmrc" "--userconfig" "/Users/.../.atom/.apmrc" "install" "/private/var/folders/d8/s5n8z7813j93ylzfgmr7zwq1n34pn3/T/d-115028-22146-w3xlzs/package.tgz" "--target=0.20.0" "--arch=x64"
npm ERR! node v0.10.35
npm ERR! npm  v2.3.0
npm ERR! code 128

npm ERR! Command failed: Cloning into bare repository '/Users/.../.atom/.node-gyp/.npm/_git-remotes/https-github-com-Benvie-harmony-collections-git-df214100'...
npm ERR! fatal: could not read Username for 'https://github.com': Device not configured
npm ERR! 
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! Please include the following file with any support request:
npm ERR!     /private/var/folders/d8/s5n8z7813j93ylzfgmr7zwq1n34pn3/T/apm-install-dir-115028-22146-1xqjhw8/npm-debug.log

#2

It could be related to the same issue I had, as documented here:

I opened a bug request with npm and according to them it was a regression in npm 2.3.0. It could very well be possible that the same regression that ignores strict-ssl is also preventing your proxy settings from working.